org.eclipse.gef.mvc.fx.ui.properties

## Class FXPaintPropertyDescriptor

- java.lang.Object
- - org.eclipse.ui.views.properties.PropertyDescriptor
  - - org.eclipse.gef.mvc.fx.ui.properties.FXPaintPropertyDescriptor

All Implemented Interfaces:
  IPropertyDescriptor

    public class FXPaintPropertyDescriptor
    extends PropertyDescriptor

The `FXPaintPropertyDescriptor` is a `PropertyDescriptor` that uses the `FXPaintCellEditor` to edit its value.

### Constructor Summary

Constructors
Constructor and Description
`FXPaintPropertyDescriptor(Object id, String displayName)` Creates an property descriptor with the given id and display name.

### Method Summary

All Methods Instance Methods Concrete Methods
`CellEditor` `createPropertyEditor(Composite parent)`

### Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor

`getAlwaysIncompatible, getCategory, getDescription, getDisplayName, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getValidator, isCompatibleWith, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FXPaintPropertyDescriptor

    public FXPaintPropertyDescriptor(Object id,
                                     String displayName)

Creates an property descriptor with the given id and display name.

Parameters:
  `id` - The id of this property
  `displayName` - The name to display for this property

### Method Detail

#### createPropertyEditor

    public CellEditor createPropertyEditor(Composite parent)

Specified by:
  `createPropertyEditor` in interface `IPropertyDescriptor`
Overrides:
  `createPropertyEditor` in class `PropertyDescriptor`